
## 1.0.0-beta.104 (2022-03-09)


### ⚠ BREAKING CHANGES

* `deployment.expose` renamed to `deployment.exposeViaService`
* `deployment.expose` and `service.addDeployment` now accept a `port` as part of the options, and not a positional argument.

### Features

* default port when exposing deployment ([#56](https://github.com/cdk8s-team/cdk8s-plus/issues/56)) ([1f02953](https://github.com/cdk8s-team/cdk8s-plus/commit/1f02953c0b3e94d57b4514e205973ba2c17561b4))
* Env var from fieldRef/resource support ([#263](https://github.com/cdk8s-team/cdk8s-plus/issues/263)) ([#279](https://github.com/cdk8s-team/cdk8s-plus/issues/279)) ([37eeb31](https://github.com/cdk8s-team/cdk8s-plus/commit/37eeb31f387900c8e1fea53391a308f566d2764f))
* expose service via ingress ([#58](https://github.com/cdk8s-team/cdk8s-plus/issues/58)) ([34bb4d4](https://github.com/cdk8s-team/cdk8s-plus/commit/34bb4d4415bf8602704742f82933600417cf08ca))
* Secret volume support ([#211](https://github.com/cdk8s-team/cdk8s-plus/issues/211)) ([#269](https://github.com/cdk8s-team/cdk8s-plus/issues/269)) ([6498d7f](https://github.com/cdk8s-team/cdk8s-plus/commit/6498d7fc8ea29c630b63d31e3b93e9f10259ffd5))
* TCP socket probes ([#383](https://github.com/cdk8s-team/cdk8s-plus/issues/383)) ([#424](https://github.com/cdk8s-team/cdk8s-plus/issues/424)) ([ff3ffa1](https://github.com/cdk8s-team/cdk8s-plus/commit/ff3ffa1a57b1bdf6cf44df46315675bca888a4e5))


### Bug Fixes

* branch regex doesn't capture current branch names ([#50](https://github.com/cdk8s-team/cdk8s-plus/issues/50)) ([b76b720](https://github.com/cdk8s-team/cdk8s-plus/commit/b76b72019e2822188f3555a41385bd67eddd3d8d))
* branching strategy for renamed branches ([38d38f8](https://github.com/cdk8s-team/cdk8s-plus/commit/38d38f8b53d987e16d0528261d3ee1252b1e7d8b))
* callable import incompatible with esModuleInterop ([#82](https://github.com/cdk8s-team/cdk8s-plus/issues/82)) ([8ef2437](https://github.com/cdk8s-team/cdk8s-plus/commit/8ef243764c6901172ebb02f38b599beab7108eb8))
